﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DrawingFunctions
{
    public partial class AddFunction : Form
    {
        public Function function { get; set; }
        public AddFunction()
        {
            InitializeComponent();
        }

        private void AddFunction_Load(object sender, EventArgs e)
        {
            colorBox.Items.Add(Color.Black);
            colorBox.Items.Add(Color.Red);
            colorBox.Items.Add(Color.Green);
            colorBox.Items.Add(Color.Blue);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (aUpDown.Value == 0)
            {
                DialogResult = DialogResult.None;
                aUpDown.Focus();
                return;
            }
            if(fUpDown.Value == 0)
            {
                DialogResult = DialogResult.None;
                fUpDown.Focus();
                return;
            }
            if(functionBox.SelectedIndex<0)
            {
                DialogResult = DialogResult.None;
                functionBox.Focus();
                return;
            }
            if(colorBox.SelectedIndex<0)
            {
                DialogResult = DialogResult.None;
                colorBox.Focus();
                return;
            }
            function = new Function();
            function.a = (int)aUpDown.Value;
            function.b = (int)fUpDown.Value;
            if(functionBox.SelectedIndex==0)
            {
                function.function = Math.Sin;
            }
            else
            {
                function.function = Math.Cos;
            }
            function.color = (Color)colorBox.SelectedItem;
        }
    }
}
